Arch MergeWalls: Difference between revisions

From FreeCAD Documentation
mNo edit summary
No edit summary
(3 intermediate revisions by one other user not shown)
Line 15: Line 15:


<!--T:6-->
<!--T:6-->
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch Walls]]}}.
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch Wall|Arch Walls]]}}.


==Usage== <!--T:3-->
==Usage== <!--T:3-->
Line 22: Line 22:
# Select two or more walls.
# Select two or more walls.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.

==Properties== <!--T:14-->

==Limitations== <!--T:15-->


== Scripting == <!--T:8-->
== Scripting == <!--T:8-->
Line 55: Line 59:
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


<!--T:12-->
{{Arch Tools navi}}

<!--T:13-->
{{Userdocnavi}}
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 21:47, 19 February 2020

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])